5 Replies Latest reply on Nov 30, 2015 7:14 AM by uwe_conrad

    System Requirements for InDesign

    uwe_conrad

      I checked the System Requirements Page before buying and it says 10.6.8 is supported. After buying and upon attempting to download, I get a message that my system isn't supported anymore. I also don't get to chose a different version which would work with 10.6.8. Anybody out there with a similar experience and some advice?